Module javafx.graphics
Package javafx.css

# Class SimpleStyleableObjectProperty<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>
javafx.beans.property.ObjectPropertyBase<T>
javafx.css.StyleableObjectProperty<T>
javafx.css.SimpleStyleableObjectProperty<T>

All Implemented Interfaces:
  `Observable`, `Property<T>`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`, `WritableObjectValue<T>`, `WritableValue<T>`, `StyleableProperty<T>`

    public class SimpleStyleableObjectProperty<T>
    extends StyleableObjectProperty<T>

This class extends `SimpleObjectProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `ObjectProperty`, that would otherwise be implemented as a `SimpleObjectProperty`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `SimpleObjectProperty`, `CssMetaData`, `StyleableProperty`, `StyleableObjectProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleStyleableObjectProperty​(CssMetaData<? extends Styleable,​T> cssMetaData)` | The constructor of the `SimpleStyleableObjectProperty`.
  `SimpleStyleableObjectProperty​(CssMetaData<? extends Styleable,​T> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableObjectProperty`.
  `SimpleStyleableObjectProperty​(CssMetaData<? extends Styleable,​T> cssMetaData, Object bean, String name, T initialValue)` | The constructor of the `SimpleStyleableObjectProperty`.
  `SimpleStyleableObjectProperty​(CssMetaData<? extends Styleable,​T> cssMetaData, T initialValue)` | The constructor of the `SimpleStyleableObjectProperty`.

- ## Method Summary

  ### Methods declared in class javafx.beans.property.ObjectPropertyBase

  `fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.binding.ObjectExpression

  `asString, asString, asString, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.css.StyleableProperty

  `applyStyle, getCssMetaData, getStyleOrigin`

  ### Methods declared in interface javafx.beans.value.WritableObjectValue

  `get, set`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue, setValue`

- ## Constructor Details

  - ### SimpleStyleableObjectProperty

    public SimpleStyleableObjectProperty​(CssMetaData<? extends Styleable,​T> cssMetaData)
    The constructor of the `SimpleStyleableObjectProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

  - ### SimpleStyleableObjectProperty

    public SimpleStyleableObjectProperty​(CssMetaData<? extends Styleable,​T> cssMetaData, T initialValue)
    The constructor of the `SimpleStyleableObjectProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `initialValue` - the initial value of the wrapped `Object`

  - ### SimpleStyleableObjectProperty

    public SimpleStyleableObjectProperty​(CssMetaData<? extends Styleable,​T> cssMetaData, Object bean, String name)
    The constructor of the `SimpleStyleableObjectProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `ObjectProperty`
      `name` - the name of this `ObjectProperty`

  - ### SimpleStyleableObjectProperty

    public SimpleStyleableObjectProperty​(CssMetaData<? extends Styleable,​T> cssMetaData, Object bean, String name, T initialValue)
    The constructor of the `SimpleStyleableObjectProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `ObjectProperty`
      `name` - the name of this `ObjectProperty`
      `initialValue` - the initial value of the wrapped `Object`